// 这里是关于环境变量的配置
const IS_PROD = ['production', 'prod'].includes(process.env.NODE_ENV) // 获取环境变量NODE_ENV

const plugins = [] // 插件
if (IS_PROD) { // 如果是生产环境
  plugins.push('transform-remove-console') // 插件添加transform-remove-console
}

module.exports = { // 导出配置
  presets: [ // 预设
    '@vue/cli-plugin-babel/preset' // 预设添加@vue/cli-plugin-babel/preset
  ],
  plugins // 插件
}
